Summary: NFS utlilities and supporting daemons for the kernel NFS server.
Name: nfs-utils
Version: 1.0.10
Release: 1tr
License: GPL
URL: http://nfs.sourceforge.net/
Source0: http://download.sourceforge.net/nfs/%{name}-%{version}.tar.gz
Source1: ftp://nfs.sourceforge.net/pub/nfs/nfs.doc.tar.gz
Source2: nfs.init
Source3: nfslock.init
Patch0: nfs-utils-1.0.7-gcc4.patch
Group: Trustix Official
Obsoletes: nfs-server
Obsoletes: knfsd
Obsoletes: knfsd-clients
Obsoletes: nfs-server-clients 
Obsoletes: knfsd-lock
Provides: nfs-server 
Provides: nfs-server-clients 
Provides: knfsd-lock 
Provides: knfsd-clients 
Provides: knfsd
Buildroot: /var/tmp/%{name}-root
Requires: portmap >= 4.0, coreutils, procps
PreReq: chkconfig tsl-utils

%description
The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host.

%prep
%setup -q -a 1
#%patch0 -p1

%build
CPP="gcc -E" CFLAGS="$RPM_OPT_FLAGS" %configure --disable-nfsv4 --disable-gss
make 

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/etc/{init.d,sysconfig}

make install DESTDIR=$RPM_BUILD_ROOT \
        SBINDIR=$RPM_BUILD_ROOT/usr/sbin \
        MANDIR=$RPM_BUILD_ROOT/usr/share/man

mkdir -p $RPM_BUILD_ROOT/var/lib/nfs/v4recovery

install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/nfs
install -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/init.d/nfslock
mv $RPM_BUILD_ROOT/usr/sbin/rpc.statd $RPM_BUILD_ROOT/sbin
mv $RPM_BUILD_ROOT/usr/sbin/rpcdebug $RPM_BUILD_ROOT/sbin

rm $RPM_BUILD_ROOT/%{_mandir}/man8/*lockd.8*

#install -m 644 etc/redhat/nfs ${RPM_BUILD_ROOT}/etc/sysconfig/nfs

rm linux-nfs/README
#cp linux-nfs/README $RPM_BUILD_ROOT/usr/share/doc/nfs-utils-1.0.6/README1

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
# Restart service after upgrade.
/sbin/chkconfig --add nfs
/sbin/restart_maybe nfs
/sbin/chkconfig --add nfslock
/sbin/restart_maybe nfslock


%preun
if [ "$1" = "0" ]; then
    /sbin/chkconfig --del nfs
    /sbin/chkconfig --del nfslock
fi

%files
%defattr(-,root,root,0755)
/etc/init.d/nfs
/etc/init.d/nfslock
%dir /var/lib/nfs
%dir /var/lib/nfs/v4recovery
%config(noreplace) /var/lib/nfs/xtab
%config(noreplace) /var/lib/nfs/etab
%config(noreplace) /var/lib/nfs/rmtab
%config(noreplace) /var/lib/nfs/state
%doc README* nfs/*.html nfs/*.ps linux-nfs/* 
/sbin/rpcdebug
/sbin/rpc.statd
/usr/sbin/exportfs
/usr/sbin/nfsstat
/usr/sbin/nhfsgraph
/usr/sbin/nhfsnums
/usr/sbin/nhfsrun
/usr/sbin/nhfsstone
/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/usr/sbin/rpc.rquotad
/usr/sbin/rpc.lockd
/usr/sbin/showmount
/usr/share/man/*/*

%changelog
* Thu Aug 31 2006 Nived Gopalan <nived at trustix dot org> 1.0.10-1tr
- New Upstream.

* Wed Apr 27 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 1.0.7-6tr
- Added gcc4 patch, Rebuilt against gcc-4.0

* Wed Apr 20 2005 Thushara Gopalakrishnan <thushara at comodo dot com>  1.0.7-5tr
- Changed init priority

* Wed Apr 20 2005 Hasher Jamaludeen <hasher at comodo dot com> 1.0.7-3tr
- Changed init priority for nfs

* Wed Apr 20 2005 Hasher Jamaludeen <hasher at comodo dot com> 1.0.7-2tr
- Changed init priority

* Thu Apr 7 2005 Nived Gopalan <nived at comodo dot com> 1.0.7-1tr
- New upstream

* Fri Mar 18 2005 Thushara Gopalakrishnan <thushara at comodo dot com>  1.0.6-5tr
- Rebuilt

* Thu Dec  9 2004 Oystein Viggen <oysteivi at trustix dot com> 1.0.6-4tr
- Ignore SIGPIPE.  Fixes CAN-2004-1014

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot com> 1.0.6-1tr
- New upstream.

* Fri Jul 18 2003 Chr. Toldnes <christht at trustix dot com> 1.0.5-1tr
- New upstream version: 1.0.5 fixes amongst other a security bug.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.0.1-8tr
- Big rebuild

* Mon May 26 2003 Erlend Midttun <erlendbm at trustix dot com> 1.0.1-7em
- fileutils -> coreutils.

* Fri May 23 2003 Erlend Midttun <erlendbm at trustix dot com> 1.0.1-6em
- Removed kernel requirement.  Take II.

* Mon May 19 2003 Tore Olsen <toreo at trustix dot com> 1.0.1-5to
- minor spec file cleanup
- part of initscript rewritten based on RedHat 9
- removed rpc.lockd

* Fri May 16 2003 Erlend Midttun <erlendbm at trustix dot com> 1.0.1-4em
- Removed kernel requirement.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 0.3.3-3em
- Rebuilt against glibc 2.3.2.

* Thu Nov 21 2002 Christian H. Toldnes <christht at trustix dot com> 0.3.3-2ct
- initscripts are separate sources, and now uses $INITLOCK

* Fri Jul 19 2002 Roland Kruse <rolandk at trustix dot com> 0.3.3-1rk
- Upgrade to 0.3.3.

* Thu Jul 18 2002 Roland Kruse <rolandk at trustix dot com> 0.3.1-3rk
- New initscripts location.

* Fri Jan  3 2002 Christian H. Toldnes <christht at trustix dot com>
- Correct chkconfig line in startup script.

* Mon Jun 11 2001 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 0.3.1

* Thu Oct 12 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 0.2.1

* Tue Jul 18 2000 Oystein Viggen <oysteivi at trustix dot com>
- Upgraded to version 0.1.9.1

* Thu Jun 15 2000 Erlend Midttun <erlendbm at trustix dot com>
- Removed startup of rpc.lockd as the kernel does take care of locking itself.
  We still keep the files though as other (older) kernels may want this.

* Thu Jun 08 2000 Erlend Midttun <erlendbm at trustix dot com>
- Upgraded to version 0.1.8

* Wed Mar 29 2000 Lars Gaarden <larsg at trustix dot com>
- Moved man pages to /usr/share, FHS.

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- switch to nfs-utils as the base tree
- fix the statfs patch for the new code base
- single package that obsoletes everything we had before (if I am to keep
  some traces of my sanity with me...)

* Mon Jan 17 2000 Preston Brown <pbrown@redhat.com>
- use statfs syscall instead of stat to determinal optimal blksize
